#ifndef F4_MDS_H
#define F4_MDS_H

#define uchar   unsigned char

//社会保障（个人）卡规范
#define     IFD_OK                      0
#define     IFD_ICC_TypeError           -1
#define     IFD_ICC_NoExist             -2
#define     IFD_ICC_NoPower             -3
#define     IFD_ICC_NoResponse          -4
#define     IFD_ConnectError            -11
#define     IFD_UnConnected             -12
#define     IFD_BadCommand              -13
#define     IFD_ParameterError          -14
#define     IFD_CheckSumError           -15
#define     IFD_BadChipError            -16
#define     IFD_NotFindDeivce           -17
#define     IFD_CanNotCreateHandle      -18      

long ICC_Reader_Open(void);
long ICC_Reader_Close(void);
long ICC_Reader_PowerOn(uchar Slot,uchar* Response);
long ICC_Reader_PowerOff(uchar Slot);
long ICC_Reader_GetStatus(uchar Slot);
long ICC_Reader_Application(uchar slot,long length,uchar* Command,uchar* Response);
long ICC_Reader_Libinfo(char* Info);
long ICC_Reader_GetDevID(char *DevID);
long Syn_Get_Data(char *card_info,char *photo_path);
long ICC_Reader_CertInfo(int index,char *photo_path,char *image_data,char *card_info);
long ICC_Reader_Beep(long time);

long Get_Lib_Version(char* lib_info);
long Get_Device_Version(char* device_info);
long Rf_Set_Type(uchar mode);
long Rf_Set_Antenna(uchar status);
long Get_Scanner(int voice_mode,long timeout,uchar* data);
long Get_KeyBoard(int voice_mode,long timeout,uchar* data);
long Get_MagneticTrack(int mode,long timeout,uchar* data);
#endif